SSLSocket (Tomcat API Documentation)
Keywords: org.apache.tomcat.jni.SSLSocket class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Class SSLSocket

    java.lang.Object
      org.apache.tomcat.jni.SSLSocket

    public class SSLSocket

extends java.lang.Object

SSL Socket

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Mladen Turk

Constructor Summary
`SSLSocket()`

Method Summary
`static int` | `attach(long ctx, long sock)` Attach APR socket on a SSL connection.
`static byte[]` | `getInfoB(long sock, int id)` Retrun SSL Info parameter as byte array.
`static int` | `getInfoI(long sock, int id)` Retrun SSL Info parameter as integer.
`static java.lang.String` | `getInfoS(long sock, int id)` Retrun SSL Info parameter as String.
`static int` | `handshake(long thesocket)` Do a SSL handshake.
`static int` | `renegotiate(long thesocket)` Do a SSL renegotiation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLSocket

    public SSLSocket()

Method Detail

### attach

    public static int attach(long ctx,
                             long sock)
                      throws java.lang.Exception

  Attach APR socket on a SSL connection.

  Parameters:
    `ctx` - SSLContext to use.
    `sock` - APR Socket that already did physical connect or accept.
  Returns:
    APR_STATUS code.
  Throws:
    `java.lang.Exception`

### handshake

    public static int handshake(long thesocket)

  Do a SSL handshake.

  Parameters:
    `thesocket` - The socket to use

### renegotiate

    public static int renegotiate(long thesocket)

  Do a SSL renegotiation. SSL supports per-directory re-configuration of SSL parameters. This is implemented by performing an SSL renegotiation of the re-configured parameters after the request is read, but before the response is sent. In more detail: the renegotiation happens after the request line and MIME headers were read, but _before_ the attached request body is read. The reason simply is that in the HTTP protocol usually there is no acknowledgment step between the headers and the body (there is the 100-continue feature and the chunking facility only), so Apache has no API hook for this step.

  Parameters:
    `thesocket` - The socket to use

### getInfoB

    public static byte[] getInfoB(long sock,
                                  int id)
                           throws java.lang.Exception

  Retrun SSL Info parameter as byte array.

  Parameters:
    `sock` - The socket to read the data from.
    `id` - Parameter id.
  Returns:
    Byte array containing info id value.
  Throws:
    `java.lang.Exception`

### getInfoS

    public static java.lang.String getInfoS(long sock,
                                            int id)
                                     throws java.lang.Exception

  Retrun SSL Info parameter as String.

  Parameters:
    `sock` - The socket to read the data from.
    `id` - Parameter id.
  Returns:
    String containing info id value.
  Throws:
    `java.lang.Exception`

### getInfoI

    public static int getInfoI(long sock,
                               int id)
                        throws java.lang.Exception

  Retrun SSL Info parameter as integer.

  Parameters:
    `sock` - The socket to read the data from.
    `id` - Parameter id.
  Returns:
    Integer containing info id value or -1 on error.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.